class File

    def self.check_and_open(filename, mode="r+")

        raise "Error: File doesn't exist (#{filename})" if !File::exist?(filename)

        file = File::open(filename, mode)

        if block_given?

            yield(file)
            file.close
            return

        else

            return file

        end

    end

end