class Hash

    # Return a copy of the hash with each key converted
    # to a string.
	def stringify_keys()

		stringified = {}
		self.each {|k,v| stringified[k.to_s] = v}
		return stringified

	end

    # _Hash is modified inline!_ Converts each key to a string.
	def stringify_keys!()

		stringified = self.stringify_keys()
		self.clear
		stringified.each {|k,v| self[k] = v}

	end

end
